# GICC

# Test page
atos_gicc:
  methods: GET
  path: /atos/gicc
  controller: App\Controller\AtosGiccController::index

# Diagnostics

atos_gicc_diagnostics:
  methods: POST
  path: /atos/gicc/diagnostics
  controller: App\Controller\AtosGiccController::diagnostics

# Testcases
atos_gicc_testcases:
  methods: GET
  path: /atos/gicc/testcases
  controller: App\Controller\AtosGiccTestcaseController::index

atos_gicc_testcase:
  methods: POST
  path: /atos/gicc/testcase/{testcase}
  controller: App\Controller\AtosGiccTestcaseController::execute

## E-commerce
atos_gicc_ecomm_transaction_purchase_or_refund:
  methods: POST
  path: /atos/gicc/ecomm/transaction/{operation}
  controller: App\Controller\EcommerceController::transaction
  defaults:
    request_log: true
  requirements:
    operation: refund|purchase

atos_gicc_ecomm_reversal_purchase_or_refund:
  methods: POST
  path: /atos/gicc/ecomm/reversal/{operation}
  controller: App\Controller\EcommerceController::reversal
  defaults:
    request_log: true
  requirements:
    operation: refund|purchase

atos_gicc_ecomm_avs:
  methods: POST
  path: /atos/gicc/ecomm/avs
  controller: App\Controller\EcommerceController::avs
  defaults:
    request_log: true

ecommerce_preauthorization:
  methods: POST
  path: /ecommerce/preauthorization
  controller: App\Controller\EcommerceController::preAuthorization
  defaults:
    request_log: true

ecommerce_authorization:
  methods: POST
  path: /ecommerce/authorization
  controller: App\Controller\EcommerceController::authorization
  defaults:
    request_log: true

ecommerce_capture:
  methods: POST
  path: /ecommerce/capture
  controller: App\Controller\EcommerceController::capture
  defaults:
    request_log: true

## POS
pos_transaction_purchase_or_refund:
  methods: POST
  path: /pos/transaction/{operation}
  controller: App\Controller\POSController::transaction
  defaults:
    request_log: true
  requirements:
    operation: refund|purchase


## POS
pos_transaction_capture:
  methods: POST
  path: /pos/capture
  controller: App\Controller\POSController::capture
  defaults:
    request_log: true
## POS
pos_transaction_pre_auth:
  methods: POST
  path: /pos/pre-authorization
  controller: App\Controller\POSController::preAuthorization
  defaults:
    request_log: true


pos_reversal_purchase_or_refund:
  methods: POST
  path: /pos/reversal/{operation}
  controller: App\Controller\POSController::reversal
  defaults:
    request_log: true
  requirements:
    operation: refund|purchase
